#!/bin/sh
# ----------------------------------------------------------------------------
# /var/install/dialog.d/MINIDLNA_NET_DEV.sh - script dialog for ece
#
# Creation:     2012-02-08 Peter Baeumer
# Last update:  MINIDLNA_NET_DEV.sh 2012-02-08
#
# Copyright (c) 2012 Peter Baeumer <peter(at)baeumer(dot)duckdns(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

# ----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
# ----------------------------------------------------------------------------

exec_dialog()
{
    local win="$p2"
    sellist=$( /usr/sbin/ip addr | awk '
    BEGING{
        SELLIST=""
        SEPERATOR=""
    }
    /global/ {
        if ( SELLIST !~ $NF) {
            SELLIST=SELLIST SEPERATOR $NF
            SEPERATOR=","
        }
    }
    /:/ && !/lo|dynamic|link|host|mngtmpaddr/ {
        sub("@.*$","")
        gsub (":","")
        if ( SELLIST !~ $2) {
            SELLIST=SELLIST SEPERATOR $2
            SEPERATOR=","
       }
    }
    END{
        print SELLIST
    }')

    ece_select_list_dlg "$win" "Select networkdevice" "$sellist"
}

# ----------------------------------------------------------------------------
# Main routine
# ----------------------------------------------------------------------------

cui_init
cui_run

# ----------------------------------------------------------------------------
# end
# ----------------------------------------------------------------------------

exit 0
